SessionsTask (Tomcat API Documentation)
Keywords: org.apache.catalina.ant.SessionsTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class SessionsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.BaseRedirectorHelperTask
                  org.apache.catalina.ant.AbstractCatalinaTask
                      org.apache.catalina.ant.SessionsTask

All Implemented Interfaces:
  java.lang.Cloneable

public class SessionsTask
extends AbstractCatalinaTask

Ant task that implements the `/sessions` command supported by the Tomcat manager application.

Version:
  $Revision: 466608 $
Author:
  Vivek Chopra

Field Summary
`protected java.lang.String` | `path` The context path of the web application we are managing.

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`charset, password, url, username`

Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`SessionsTask()`

Method Summary
`void` | `execute()` Execute the requested operation.
`java.lang.String` | `getPath()`
`void` | `setPath(java.lang.String path)`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getCharset, getPassword, getUrl, getUsername, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected java.lang.String path

  The context path of the web application we are managing.

Constructor Detail

### SessionsTask

    public SessionsTask()

Method Detail

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.